Packages - Bug #2956
Bug # 2946 (confirmed): Broken python packages after 3.9 upgrade

/usr/bin/python3: No module named Reflector
2020-12-28 08:24 PM - sseneca

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

When | try to use “reflector” on the Libre repositories, | get that error.

I'm guessing it just needs to be rebuilt to the new Python version 3.9, but | could be wrong.

History

#1 - 2020-12-28 08:28 PM - sseneca

Yeah, just downloaded the PKGBUILD and rebrand patch, built it, and it's working fine now. So it just needs a rebuild.

#2 - 2020-12-28 08:35 PM - bill-auger

- Parent task set to #2946

- Status changed from unconfirmed to confirmed

yes, many python packages are due for a rebuild this week - thanks for verifying that it works

https://labs.parabola.nu/issues/2946

#3 - 2022-04-29 01:14 PM - gap

| am getting this error now.
Should all the Python packages be set to to rebuild automatically after Python is upgraded?

#4 - 2022-04-29 04:12 PM - bill-auger

- Assignee set to bill-auger

#5 - 2022-04-29 04:12 PM - bill-auger

- Status changed from confirmed to fixed

#6 - 2022-04-30 03:08 AM - bill-auger

the thing about automated packaging, is that most of those
package would never be tested - it is not the ideal situation -

bugs would appear for unknown reasons, which makes them more
difficult to fix - where as, like this one, the reason for the

bug is more obvious, and so it is easier to fix
